Something falsely triggering poll creation error following Discobot tutorial


(Jay Pfaffman) #1

I have a client who has several users who are being told that they cannot create polls when following the Discobot tutorial, even though they are not creating a poll. I can’t replicate it, but it sounds like they are getting to some point in the tutorial as level 0 and their response is triggering the “you can’t create a poll” message. Replying to Discobot with a URL in the first line gives the error "You are not allowed to create polls."
It sounds like if the user is TL1 then the problem goes away. I tried to replicate on try and failed. They’re running Discourse 1.9.0.beta15 - GitHub - discourse/discourse: A platform for community discussion. Free, open, simple. version 995bf3c84eecc89919cc2efc95537259a3a75b7b.

The Trust Level settings are all at default values.

Here’s what the user said:

EDIT: I really should have upgraded before trying to replicate this. . .


(Michael - DiscourseHosting.com) #2

Yeah, we saw some of those too. Made us remember why we try to stick to stable.
Upgrading to latest should fix this, there was a fix for this on December 5


(Jeff Atwood) #3